> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Composite

> Compose multiple images together

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/photo.jpg",
    "overlay_url": "https://example.com/overlay.png",
    "x": 10,
    "y": 10
  }
  ```

  ```bash File Upload theme={null}
  curl -X POST https://api.ringbee.dev/v1/image/composite \
    -H "X-API-Key: YOUR_API_KEY" \
    -F "file=@photo.jpg" \
    -F "overlay_url=https://example.com/overlay.png" \
    -F "x=10" \
    -F "y=10"
  ```
</RequestExample>

| Param        | Type    | Description                 |
| ------------ | ------- | --------------------------- |
| overlay\_url | string  | URL of the overlay image    |
| x            | integer | Horizontal offset in pixels |
| y            | integer | Vertical offset in pixels   |


## OpenAPI

````yaml POST /v1/image/composite
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/image/composite:
    post:
      tags:
        - Image
      summary: Composite
      description: Compose multiple images together
      operationId: imageComposite
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                overlay_url:
                  type: string
                  description: URL of the overlay image
                x:
                  type: integer
                  description: Horizontal offset in pixels
                'y':
                  type: integer
                  description: Vertical offset in pixels
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Upload file directly
                overlay_url:
                  type: string
                  description: URL of the overlay image
                x:
                  type: integer
                  description: Horizontal offset in pixels
                'y':
                  type: integer
                  description: Vertical offset in pixels
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````